[Logcheck-commits] CVS logcheck/debian

CVS User maks-guest logcheck-devel@lists.alioth.debian.org
Tue, 01 Jun 2004 15:37:04 -0600


Update of /cvsroot/logcheck/logcheck/debian
In directory haydn:/tmp/cvs-serv21616/debian

Modified Files:
	logcheck.postinst 
Log Message:

fix further bashism


--- /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2004/05/24 01:28:22	1.14
+++ /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2004/06/01 21:37:04	1.15
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: logcheck.postinst,v 1.14 2004/05/24 01:28:22 eevans-guest Exp $
+# $Id: logcheck.postinst,v 1.15 2004/06/01 21:37:04 maks-guest Exp $
 
 set -e
 
@@ -43,7 +43,8 @@
 	if dpkg --compare-versions "$2" lt 1.2.19; then
     	  # Fix Permissions
     	  chown -R logcheck:logcheck /var/lib/logcheck  || true
-          chown -R logcheck:logcheck /var/state/logcheck &> /dev/null || true
+          chown -R logcheck:logcheck /var/state/logcheck > /dev/null 2>&1 \
+	      || true
           chgrp -R logcheck /etc/logcheck || true
           chmod 750 /etc/logcheck/ignore.d.paranoid || true
           chmod 750 /etc/logcheck/ignore.d.workstation || true
@@ -54,7 +55,7 @@
           chmod 750 /etc/logcheck/violations.ignore.d || true
     	  chmod -R g+rX /etc/logcheck || true
           # just in case
-          chown logcheck /var/lock/logcheck &> /dev/null || true
+          chown logcheck /var/lock/logcheck > /dev/null 2>&1 || true
 	fi
 
 	;;